set echo on
clear screen
declare
  cursor c
  is
  select empno
    from emp
   where deptno = 20
  ;
  type t_empnos is table of emp.empno%type;
  l_empnos t_empnos;
begin
  open c;
  loop
    fetch c bulk collect into l_empnos limit 2
    ;
    forall i in 1 .. l_empnos.count
      update emp
         set ename = lower(ename)
       where empno = l_empnos(i)
    ;
    exit when l_empnos.count < 2;
  end loop;
  close c;
end;
/
select deptno, ename from emp order by deptno
/
rollback
/
set echo off