set echo on
clear screen
create procedure p (p_variant in number)
is
  type rc_emp is ref cursor return emp%rowtype;
  c_emp rc_emp;
  r_emp emp%rowtype;
begin
  case p_variant
  when 1 then
    open c_emp
    for
    select e.*
      from emp e
     where e.deptno = 20
    ;
  when 2 then
    open c_emp
    for
    select e.*
      from emp e
     where sal > 2000
    ;
  end case
  ;
  fetch c_emp into r_emp;
  while c_emp%found
  loop
    dbms_output.put_line(r_emp.ename || ' ' || to_char(r_emp.deptno) || ' ' || to_char(r_emp.sal));
    fetch c_emp into r_emp;
  end loop
  ;
  close c_emp;
end p;
/
exec p(1)
exec p(2)
set echo off
drop procedure p
/